import os,sys,re,csv,time,subprocess

def poziv():
	proces_pera = subprocess.Popen([str(sys.executable),"pera.py"])
	proces_mika = subprocess.Popen([str(sys.executable),"mika.py"])
	
	while(proces_pera.poll() is None and proces_mika.poll() is None):
		print("Cekam izvrsenje procesa...")
		time.sleep(5)
    	
poziv()
print("Procesi su izvrseni!\n")

regex_pera = re.compile(r"(pera.csv){1}")
regex_mika = re.compile(r"(mika.csv){1}")

cwd = os.getcwd()
folder_path = os.path.join(cwd,"spiskovi")

try:
	for fajl in os.listdir(folder_path):
		find_pera =  regex_pera.search(fajl)
		find_mika =  regex_mika.search(fajl)
		
		if(find_pera): 
			path_pera = os.path.join(folder_path,fajl)
		if(find_mika):
			path_mika = os.path.join(folder_path,fajl)
			
	pera_csv = open(path_pera)
	mika_csv = open(path_mika)

	reader_pera = csv.DictReader(pera_csv)
	reader_mika = csv.DictReader(mika_csv)
	
except:
	print("csv fajl nije pronadjen!") 
	exit()

najbolji_student = []
for student in reader_pera:
	najbolji_student.append(student) 
	break;

for student in reader_pera:
	if(float(student["Prosek"]) > float(najbolji_student[0]["Prosek"])): 
		najbolji_student[0] = student

for student in reader_mika:
	najbolji_student.append(student) 
	break;

for student in reader_mika:
	if(float(student["Prosek"]) > float(najbolji_student[1]["Prosek"])):
		najbolji_student[1] = student
	

if(float(najbolji_student[0]["Prosek"]) > float(najbolji_student[1]["Prosek"])):
	print("Najbolji student na fakultetu je "+str(najbolji_student[0]["Ime"])+" "+str(najbolji_student[0]["Prezime"])+"("+str(najbolji_student[0]["Broj indeksa"])+")"+" "+"sa prosekom "+str(najbolji_student[0]["Prosek"]))
	
else:
	print("Najbolji student na fakultetu je "+str(najbolji_student[1]["Ime"])+" "+str(najbolji_student[1]["Prezime"])+"("+str(najbolji_student[1]["Broj indeksa"])+")"+" "+"sa prosekom "+str(najbolji_student[1]["Prosek"]))
	
pera_csv.close()
mika_csv.close()
