import re,os,bs4,json,csv

regex = re.compile(r"(.json){1}")

cwd = os.getcwd()
folder_path = os.path.join(cwd,"spiskovi")

try:
	for fajl in os.listdir(folder_path):
		find =  regex.search(fajl)
		if(find): path = os.path.join(folder_path,fajl)
		
	fajl_json = open(path)
	json_data = json.loads(fajl_json.read())
	fajl_json.close()
	
except:
	print("json fajl nije pronadjen!") 
	exit()

studenti = json_data["studenti"]
recnik = dict()

for student in studenti:
	grupa = student["grupa"]
	prosek = student["prosek"]
	
	if(recnik.get(grupa) != None):
		if(recnik.get(grupa) < prosek):
			recnik[grupa] = prosek
	else:
		recnik[grupa] = prosek

csv_path = os.path.join(folder_path,"spisak_mika.csv")

fajl_csv = open(csv_path,"w",newline = "")
writer = csv.writer(fajl_csv, delimiter=",",lineterminator="\n")

writer.writerow(["Ime","Prezime","Broj indeksa","Prosek","Grupa"])

for student in studenti:
	grupa = student["grupa"]
	prosek = student["prosek"]
	
	if(recnik.get(grupa) == prosek): 
		ime = student["ime"]
		prezime = student["prezime"]
		br_indeksa = student["broj_indeksa"]
		writer.writerow([ime,prezime,br_indeksa,prosek,grupa])
		
fajl_csv.close()
