import re,os,bs4,csv

regex = re.compile(r"(.xml){1}")

cwd = os.getcwd()
folder_path = os.path.join(cwd,"spiskovi")

try:
	for fajl in os.listdir(folder_path):
		find =  regex.search(fajl)
		if(find): path = os.path.join(folder_path,fajl)
			
	fajl_xml = open(path,"r")
	soup = bs4.BeautifulSoup(fajl_xml, features = "html.parser")
	fajl_xml.close()
	
except:
	print("xml fajl nije pronadjen!") 
	exit()

studenti = soup.select("student")
recnik = dict()

for student in studenti:
	grupa = int(student.find("grupa").get_text())
	prosek = float(student.find("prosek").get_text())
	
	if(recnik.get(grupa) != None):
		if(recnik.get(grupa) < prosek):
			recnik[grupa] = prosek
	else:
		recnik[grupa] = prosek

csv_path = os.path.join(folder_path,"spisak_pera.csv")

fajl_csv = open(csv_path,"w",newline = "")
writer = csv.writer(fajl_csv, delimiter=",",lineterminator="\n")

writer.writerow(["Ime","Prezime","Broj indeksa","Prosek","Grupa"])

for student in studenti:
	grupa = int(student.find("grupa").get_text())
	prosek = float(student.find("prosek").get_text())
	
	if(recnik.get(grupa) == prosek): 
		ime = student.find("ime").get_text()
		prezime = student.find("prezime").get_text()
		br_indeksa = int(student.find("broj_indeksa").get_text())	
		writer.writerow([ime,prezime,br_indeksa,prosek,grupa])
		
fajl_csv.close()
